Skip to main content
POST
/
brokerage-firms
/
{brokerageFirmId}
/
reports
Generate report for brokerage firm
curl --request POST \
  --url https://api.example.com/brokerage-firms/{brokerageFirmId}/reports \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "<string>",
  "params": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "uploadToConnectors": true,
  "productIds": [
    "<string>"
  ]
}
'
import requests

url = "https://api.example.com/brokerage-firms/{brokerageFirmId}/reports"

payload = {
"type": "<string>",
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"uploadToConnectors": True,
"productIds": ["<string>"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
params: [{key: '<string>', value: '<string>'}],
uploadToConnectors: true,
productIds: ['<string>']
})
};

fetch('https://api.example.com/brokerage-firms/{brokerageFirmId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Path Parameters

brokerageFirmId
string
required

the brokerageFirm id

Body

application/json

Report generation parameters

type
string
required

The type of report

params
object[]
required

Report specific parameters

uploadToConnectors
boolean

uploadToConnectors

productIds
string[]

The productIds

Response

200 - application/json

Report generation started or completed successfully.

The response is of type object.